<?php
//include("pre-pagina");

//No hacemos nada si no está  todo correcto
if ($todo_correcto){
	
	include("../comunes/email/emails.php");
	$enviar = dame_valor_variable_global("enviar", "");
	$lista_direcciones = dame_valor_variable_global("lista_direcciones", "");
	$nombre_empresa=dame_valor_variable_global("nombre_empresa", "");
	
	ob_start();
	
	include("email_newsletter.php");
	
	$GLOBALS['buffer_total'] = ob_get_contents();

	if ($enviar != "") {
		$lista_emails = $lista_direcciones;
		
		if ($lista_emails != "") {
			//Tenemos que enviar el email
			$asunto = "Novedades $nombre_empresa";
			$texto = $GLOBALS['buffer_total'];
			$cuerpo = dame_email($asunto, $texto);
			
			$resultado_envio_email = envia_email($lista_emails, $asunto, $cuerpo, false);
		}
	}
	
	if($resultado_envio_email != 0){
		$sentencia_sql = "SELECT codigo FROM articulo WHERE pendiente_envio = 1";
		if($resultado = mysqli_query($conexionBD, $sentencia_sql)){
			$lista_select = array();
			while($fila = mysqli_fetch_array($resultado)){
				array_push($lista_select,$fila["codigo"]);
			}
			$fecha = date("Y") . "-" . date("m") . "-" . date("d");
			$lista_select = " ( " . implode(",", $lista_select) . " ) ";
			$insert_sql = "UPDATE articulo SET fecha_envio = '$fecha', pendiente_envio = 0 WHERE codigo IN $lista_select";
			mysqli_query($conexionBD, $insert_sql);
		}
	}
}
//include("post-pagina.php");
?>